Bug 1018173 - I18NTextImpl doesn't update shortText when text is updated
I18NTextImpl doesn't update shortText when text is updated
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Core (Show other bugs)
Unspecified Unspecified
high Severity medium
: ER6
: 6.0.0
Assigned To: Maciej Swiderski
Ivo Bek
Depends On:
Blocks: 1008824 1026838
  Show dependency treegraph
Reported: 2013-10-11 07:15 EDT by Toshiya Kobayashi
Modified: 2014-12-05 08:36 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1026838 (view as bug list)
Last Closed: 2014-08-06 16:12:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
the process definition with a single human task (5.54 KB, application/xml)
2014-01-03 07:21 EST, Ivo Bek
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPM-4148 Major Resolved I18NTextImpl doesn't update shortText when text is updated 2016-07-18 22:53 EDT

  None (edit)
Description Toshiya Kobayashi 2013-10-11 07:15:13 EDT
Description of problem:

Platform BZ for https://issues.jboss.org/browse/JBPM-4148

Steps to Reproduce:
1. Get a Task with taskService.getTaskById()
2. Modify task name of the Task with InternalI18NText.setText()
3. Get a TaskSummary with taskService.getTasksAssignedAsPotentialOwner()

Test case in https://github.com/droolsjbpm/jbpm/pull/181 would explain well.

Actual results:

TaskSummary.getName() returns old task name.

Expected results:

TaskSummary.getName() returns updated task name.
Comment 1 JBoss JIRA Server 2013-11-18 13:58:24 EST
Maciej Swiderski <swiderski.maciej@gmail.com> updated the status of jira JBPM-4148 to Resolved
Comment 2 JBoss JIRA Server 2013-11-18 13:58:24 EST
Maciej Swiderski <swiderski.maciej@gmail.com> made a comment on jira JBPM-4148

pull request has been merged already in master, thanks Toshiya
Comment 3 Kris Verlaenen 2013-11-29 00:18:32 EST
Maciej, has this been merged in master and 6.0.x?
Comment 4 Maciej Swiderski 2013-11-29 06:30:27 EST
yes, Toshiya's pull request was merged and back ported to 6.0.x



marking it as modified
Comment 5 Ivo Bek 2014-01-03 07:20:57 EST
I return this bug because the name of task will not change when I update it. Here is my test case http://pastebin.com/CYH5QRhu and I will attach the process definition.
Comment 6 Ivo Bek 2014-01-03 07:21:48 EST
Created attachment 844935 [details]
the process definition with a single human task
Comment 7 Maciej Swiderski 2014-01-03 07:34:55 EST

this is expected as you need to remember that to change entity and if you change it outside of the transaction changes won't be saved in db.
Take a look here for both in transaction and outside of transaction tests for this case:
Comment 8 Ivo Bek 2014-01-03 08:09:16 EST
Hi Maciej,

thank you for the explanation, it makes sense and after I used the transactions, it works, so I change the status to verified.

Note You need to log in before you can comment on or make changes to this bug.